zoomit

آسیب‌پذیری پلی‌استیشن ۴ و ۵ امکان اجرای بازی‌های پلی‌استیشن ۲ را روی این کنسول‌ها فراهم می‌کند

آسیب‌پذیری پلی‌استیشن ۴ و ۵ امکان اجرای بازی‌های پلی‌استیشن ۲ را روی این کنسول‌ها فراهم می‌کند

هکری به‌ نام CTurt که از مدت‌ها قبل روی کرک‌کردن کنسول‌های بازی کار می‌کند، آسیب‌پذیری اصلاح‌نشدنی‌ای را روی پلی‌استیشن ۴ و پلی‌استیشن ۵ سونی فاش کرده است. این باگ به هکرها اجازه می‌دهد اپلیکیشن‌های دلخواه خود را روی این کنسول‌ها نصب کنند. CTurt می‌گوید سال گذشته آسیب‌پذیری موسوم به Mast1c0re را در پی برنامه‌ی دریافت جایزه در ازای کشف‌ باگ به سونی اطلاع داده؛ اما به‌ادعای وی، شرکت ژاپنی هنوز آن را برطرف نکرده است.

Mast1c0re با استفاده از باگ موجود در JIT (کامپایل لحظه‌ای) بهره می‌برد که شبیه‌سازهای اجرای بازی‌های پلی‌استیشن ۲ روی پلی‌استیشن ۴ و ۵ نیز از آن استفاده می‌کنند. این راهکار امتیازاتی به شبیه‌سازها ارائه می‌دهد که به استفاده از آن می‌توانند کدهای دلخواه را روی لایه‌ی اپلیکیشن اجرا کنند. این کد بی‌وقفه کدهای سازگار با پلی‌استیشن‌ ۴ را براساس کدهای پلی‌استیشن ۲ ایجاد می‌کند.

به‌گزارش Gizchina، هکرها به‌منظور دستیابی به کنترل شبیه‌ساز، ازنظر تئوری می‌توانند از آسیب‌پذیری‌های شناخته‌شده در بازی‌های پلی‌استیشن ۲ مربوط به چند دهه قبل سوءاستفاده کنند. برای استفاده از اکثر این باگ‌ها و دسترسی به فایل‌های ذخیره‌شده با فرمت ویژه روی کارت حافظه، به بازی‌ای شناخته‌شده نیاز است. البته به‌دلیل اینکه کنسول‌های پلی‌استیشن ۴ و ۵ سونی به‌طور‌پیش‌فرض نمی‌توانند دیسک‌های پلی‌استیشن ۲ را شناسایی کنند، استفاده از این روش محدودیت‌هایی دارد.

این یعنی برای استفاده از روش مذکور به بازی‌هایی نیاز است که ازطریق شبکه‌ی پلی‌استیشن و به‌عنوان PS2-on-PS4 برای دانلود دردسترس قرار دارند. علاوه‌براین، می‌توان از بازی‌های پلی‌استیشن ۲ که ناشرانی مثل Limited Run Games آن‌ها را ارائه می‌دهند، برای سوءاستفاده از این آسیب‌پذیری بهره گرفت.

مقاله‌ی مرتبط:

  • سونی در حال برنامه‌ریزی برای انتشار بازی‌های خود روی گوشی‌های هوشمند است
  • افزایش قیمت ناگهانی پلی استیشن ۵؛ سونی گیمرها را نقره داغ کرد

CTurt می‌گوید برای دستیابی به کنترل کامل پلی‌استیشن ۴، همچنان باید از آسیب‌پذیری مجزای مرتبط با هسته‌ استفاده کرد؛ هرچند اکسپلویت mast1c0re برای اجرای برنامه‌های پیچیده کافی به‌نظر می‌رسد. این مورد شامل شبیه‌سازهای بهینه‌شده برای JIT و احتمالاً برخی بازی‌های غیرتجاری و غیرقانونی پلی‌استیشن ۴ می‌شود.

CTurt تأکید می‌کند که رفع حفره‌ی mast1c0re تقریباً برای سونی غیرممکن است؛ زیرا نسخه‌ای از شبیه‌ساز پلی‌استیشن ۲ برای هریک از بازی‌های PS2-on-PS4 دردسترس است که به‌طورجداگانه به‌عنوان بخش اصلی سیستم‌عامل کنسول ذخیره نمی‌شوند. فروشگاه اینترنتی نینتندو نیز پیش‌ازاین با آسیب‌پذیری مشابهی مواجه شد؛ اما این شرکت همه‌ی بازی‌های کنسول ۳DS را حذف کرد. به‌هرحال، امکان دانلود بازی‌های پلی‌استیشن ۲ در شبکه‌ی پلی‌استیشن همچنان وجود دارد.

مجله خبری نیوزلن

مشاهده بیشتر

نوشته های مشابه

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد.

دکمه بازگشت به بالا